# Codewars Advice from Mentors

There are over 9,000 JavaScript katas on Codewars, and *most* of them are not very useful to you, especially as a complete beginner. Work through [the CYF collections](https://www.codewars.com/users/CodeYourFuture/authored_collections) first. The CYF kata have been chosen to support your learning.

It's a good idea to spend around 20 minutes, three times a week on kata. Three kata a week, every week, is much better than burning many hours cramming on Codewars and then leaving it for ages. Burn your hours on building projects, not solving puzzles.

However, if you have done all those kata and you want more, here's the [*sort* of kata](https://www.codewars.com/kata/search/my-languages?q=\&r\[]=-8\&tags=Basic%20Language%20Features\&beta=false\&order_by=rank_id%20asc) you should look for:

* Basic Language Features
* Higher Order Functions
* Functional Programming

And generally you can swerve:

* Object-oriented programming
* Mathematics
* Theoretical Computer Science
* Cryptography
* 4kyu and below
* Kata in other languages

Of course, try those things *if you are interested and have a plan,* but we have found that trainees can waste a lot of time on Codewars struggling with random kata without any context or learning plan and then discourage themselves, or write off Codewars entirely. There are over 9,000 JavaScript katas on Codewars! CYF can't guarantee that any random kata you happen across online is worth your time - so please always approach your learning with **a plan.**&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codeyourfuture.io/archive/archived-pages/codewars/codewars-advice-from-mentors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
